Bug 252847 - audio/ncmpcpp: Update to 0.9.1
Summary: audio/ncmpcpp: Update to 0.9.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Rainer Hurling
URL:
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2021-01-20 07:17 UTC by yamagi
Modified: 2021-01-22 10:25 UTC (History)
1 user (show)

See Also:


Attachments
Update audio/ncmpcpp to 0.9.1 (3.73 KB, patch)
2021-01-20 07:17 UTC, yamagi
no flags Details | Diff
patch with simpler LIB_DEPENDS and reorder Makefile vars (4.55 KB, patch)
2021-01-21 10:48 UTC, Rainer Hurling
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description yamagi 2021-01-20 07:17:44 UTC
Created attachment 221755 [details]
Update audio/ncmpcpp to 0.9.1

Hi,
the attached svn patch updates audio/ncmpcpp to the latest version 0.9.1. This is major release with many changes, the full changelog can be found on the project homepage: https://rybczak.net/ncmpcpp/

Changes to the port:
* Bump version to 0.9.1
* The UTF8 is no longer supported since utf-8 support is no longer optional.
* Chase plist change: NEWS -> CHANGELOG.md
* Bring pkg-descr up to realty.
Comment 1 Automation User 2021-01-20 07:50:36 UTC
Build and package info is available at https://gitlab.com/swills/freebsd-ports/pipelines/244175260
Comment 2 Rainer Hurling freebsd_committer 2021-01-21 10:48:04 UTC
Created attachment 221783 [details]
patch with simpler LIB_DEPENDS and reorder Makefile vars

Moin Yamagi,

Thanks for your patch!

I think, there is no reason to add devel/icu twice? Based on your patch, I have created a new one with only single mention of icu.

While here, I also reordered some Makefile vars as suggested by portclippy.

If this is ok for you, I would commit it like this?
Comment 3 yamagi 2021-01-22 07:29:50 UTC
Moin Moin Rainer,
looks like my porting skills are rusty. :) Adding devel/icu only once is of course correct. And if portclippy is happy, we are too. I gave your updated patch a try, it still builds fine and the resulting binary is working without problems. 

I'm fine with it, go ahead and commit it. Thank you!
Comment 4 Rainer Hurling freebsd_committer 2021-01-22 08:54:52 UTC
(In reply to yamagi from comment #3)
Moin yamagi,

I just opened a review on Phabricator [1], now we have to wait for approval from my mentors :)

[1] https://reviews.freebsd.org/D28276
Comment 5 Rainer Hurling freebsd_committer 2021-01-22 09:05:17 UTC
Gleb, one of my mentors, just asked in the review about the '-L' in the context of CFLAGS:

> Makefile:24
> +GNU_CONFIGURE=	yes
> +CONFIGURE_ENV=	ncursesw_CFLAGS="-L${NCURSESLIB}" ncursesw_LIBS="-lncursesw"
>  

arrowd@: "Hmm, `-L` flags are usually passed to `LDFLAGS`. Doesn't it work that way?"


Do we really need it this way?
Comment 6 yamagi 2021-01-22 09:28:34 UTC
ncursesw_CFLAGS was added in r525972 to support base curses. If -L${NCURSESLIB} is passed in LDFLAGS and not in CFLAGS the crappy configure script tries to locate libcursesw through pkgconf, the base ncurses doesn't include the required ncursesw.pc description file.
Comment 7 commit-hook freebsd_committer 2021-01-22 10:22:52 UTC
A commit references this bug:

Author: rhurlin
Date: Fri Jan 22 10:22:32 UTC 2021
New revision: 562292
URL: https://svnweb.freebsd.org/changeset/ports/562292

Log:
  audio/ncmpcpp: Update to 0.9.1

  Changelog: https://rybczak.net/ncmpcpp/

  PR:		252847
  Submitted by:	yamagi@yamagi.org (maintainer)
  Approved by:	arrowd (mentor)
  Differential Revision:	https://reviews.freebsd.org/D28276

Changes:
  head/audio/ncmpcpp/Makefile
  head/audio/ncmpcpp/distinfo
  head/audio/ncmpcpp/files/patch-src_screens_visualizer.cpp
  head/audio/ncmpcpp/files/patch-src_status.cpp
  head/audio/ncmpcpp/pkg-descr
Comment 8 Rainer Hurling freebsd_committer 2021-01-22 10:25:10 UTC
Committed, thanks and thanks for the hint with r525972 :)